Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.configuration
Class ShapeResolution

    java.lang.Object
      org.deegree.ogcwebservices.wcs.configuration.AbstractResolution
          org.deegree.ogcwebservices.wcs.configuration.ShapeResolution

All Implemented Interfaces:
  Comparable, Resolution

    public class ShapeResolution

extends AbstractResolution

modls a `Resolution`by describing the assigned coverages through a Shapefile containing name an boundingbox of each available file``

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`ShapeResolution(double minScale, double maxScale, Range[] ranges, Shape shape)`

Method Summary
`Shape` | `getShape()`
`void` | `setShape(Shape shape)`

Methods inherited from class org.deegree.ogcwebservices.wcs.configuration.AbstractResolution
`addRange, compareTo, getMaxScale, getMinScale, getRanges, removeRange, setMaxScale, setMinScale, setRange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShapeResolution

    public ShapeResolution(double minScale,
                           double maxScale,
                           Range[] ranges,
                           Shape shape)
                    throws IllegalArgumentException

Parameters:
  `minScale` -
  `maxScale` -
  `ranges` -
  `shape` -
Throws:
  `IllegalArgumentException`

Method Detail

### getShape

    public Shape getShape()

  Returns:
    Returns the shape.

### setShape

    public void setShape(Shape shape)

  Parameters:
    `shape` - The shape to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org